require 'calabash-cucumber/calabash_steps'

Given /^that the tabbar is visible$/ do
  element_exists "tabbar"
end

Given /^that the "([^"]*)" tab is visible$/ do |name|
  unless element_exists "tabbar"
    false
  end
  tabs = query('tabBarButton', :accessibilityLabel)
  if tabs.include? name
    idx = tabs.index(name)
    touch("tabBarButton index:#{idx}")
    true
  end
end

Given /^that I see "([^"]*)" home view$/ do |name|
  macro %Q|that the "#{name}" tab is visible|
  macro %Q|I touch "#{name}" tab|
end

Then /I touch "([^"]*)" tab$/ do |name|
  unless element_exists "tabbar"
    false
  end
  tabs = query('tabBarButton', :accessibilityLabel)
  if tabs.include? name
    idx = tabs.index(name)
    touch("tabBarButton index:#{idx}")
  end
end

