#import "EcFirstViewController.h"
#import "EcPageCurlController.h"
@interface EcFirstViewController ()

@end

@implementation EcFirstViewController
@synthesize label;
@synthesize buttonPageCurl;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
  self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
  if (self) {
    self.title = NSLocalizedString(@"First", @"First");
    self.tabBarItem.image = [UIImage imageNamed:@"first"];
  }
  return self;
}

- (void)viewDidLoad {
  [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
  self.view.accessibilityIdentifier = @"view.first view";
  self.label.accessibilityLabel = @"accessibility label";
  self.label.accessibilityIdentifier = @"accessibility id";
  self.buttonPageCurl.accessibilityIdentifier = @"button.page curl";
}

- (void)viewDidUnload {
  [self setLabel:nil];
  [self setButtonPageCurl:nil];
  [super viewDidUnload];
  // Release any retained subviews of the main view.
}

- (IBAction)buttonTouchedPageCurl:(id)sender {
  NSLog(@"page curl button touched");
  EcPageCurlController *epcc = [[EcPageCurlController alloc]
                                initWithNibName:@"EcPageCurlController" bundle:nil];
  epcc.modalTransitionStyle = UIModalTransitionStylePartialCurl;
  [self presentModalViewController:epcc animated:YES];
}

@end
